8 Replies Latest reply: Nov 19, 2012 12:05 PM by Leann O.
Jenn1573 Level 1 Level 1 (0 points)

Hi I just was given an IPhone 3G 4.2.1  and I cant not download facebook from app store! It requires IOS 5 and mine is 4.2.1! It says I need fb 4.0.1 ! I went online to see if i cant find it and I can not find a site I can simply download it for my IPHONE!! Can anyone help ????

lisewski_jenn73@hotmail.com

thanks


iPhone 3G, iOS 4.2, need older facebook version